# react-native-popup-confirm-toast

## Example popup-message

|                          Example Message                      |
| :-----------------------------------------------------------: |
| ![](assets/popup1.gif) | 

|                          Example Confirm Message              |
| :-----------------------------------------------------------: |
| ![](assets/popup2.gif) | 

## Example toast-message

|                          Example Toast Top                    |
| :-----------------------------------------------------------: |
| ![](assets/3.gif) | 

|                         Example Toast Bottom                  |
| :-----------------------------------------------------------: |
| ![](assets/4.gif) |

## Usage

## Installation

```
yarn add react-native-status-bar-height
```

```
yarn add react-native-popup-confirm-toast
```

```
import { Root, Popup } from 'react-native-popup-confirm-toast'
<Root>
    <View>
        <TouchableOpacity
            onPress={() =>
              Popup.show({
                type: 'success',
                title: 'Dikkat!',
                textBody: 'Mutlak özgürlük, kendi başına hiçbir anlam ifade etmez. ',
                buttonText: 'Tamam',
                callback: () => Popup.hide()
              })
            }
        >
            <Text>Open Popup Message</Text>
        </TouchableOpacity>
    </View>
</Root>
```

```
import { Root, Popup } from 'react-native-popup-confirm-toast'
<Root>
    <View>
        <TouchableOpacity
            onPress={() =>
              Popup.show({
                type: 'confirm',
                title: 'Dikkat!',
                textBody: 'Mutlak özgürlük, kendi başına hiçbir anlam ifade etmez. ',
                buttonText: 'Tamam',
                confirmText:'Vazgeç',
                callback: () => Popup.hide()
              })
            }
        >
            <Text>Open Popup Confirm Message</Text>
        </TouchableOpacity>
    </View>
</Root>
```

Toast

```
import { Root, Toast } from 'react-native-popup-confirm-toast'
    <Root>
        <View>
            <TouchableOpacity
                onPress={() => 
                      Toast.show({
                        title: 'Dikkat!',
                        text: 'Mutlak özgürlük, kendi başına hiçbir anlam ifade etmez.',
                        color: '#702c91',
                        timeColor: '#440f5f',
                        timing: 5000,
                        icon: <Icon name={'check'} color={'#fff'} size={31}/>,
                        position: 'bottom',
                    })
                }
            >
                <Text>Open Toast</Text>
            </TouchableOpacity>
        </View>
    </Root>
```

## Documentation

type: success, danger, warning, confirm

|                         Popup                                 |
| :-----------------------------------------------------------: |
| ![](assets/5.png) |

|                         Toast                                 |
| :-----------------------------------------------------------: |
| ![](assets/6.png) |

## Author

SekizliPenguen

## License

[MIT](./LICENSE)
